** PROGRAMMNAME.........: FMFORMCATCHERR.PRG
** DATENBANKSYSTEM......: Visual FoxPro 08.00.0000.3117 for Windows
** SYSTEM...............: Bibliotheksfunktion
*) BESCHREIBUNG.........: Meldungen eines TRY/Catch Error-Objektes
*)                        formatieren (fr Msgbox)
** PARAMETERS PASSED....: <ExpO>  Error-Objekt
**                        <ExpN>  Modus: 1 = Standart, 2 = erweitert
** PARAMETERS RETURNED..: <ExpC>  Text
** BEMERKUNGEN..........:
**
** AUTHOR...............: murmi
** ERSTELLT AM..........: 15.02.2006
** LETZTE AENDERUNG.....:
**
********************************************************************
* COPYRIGHT: Maurhofer Informatik AG  - Softwareentwicklung        *
*            Gossauerstrasse 14, CH-8340 Hinwil Tel. 043 843 04 44 *
*            http://www.maurhofer-informatik.ch                    *
********************************************************************
LPARAMETERS toError, tnModus
#include "INCLUDE\VFX.H"
LOCAL lcRetVal

lcRetVal = ""

IF TYPE("tnModus") # "N" OR EMPTY(tnModus)
   tnModus = 1
ENDIF

* Standard
lcRetVal = "Fehler    : " + TRANSFORM(toError.ErrorNo) + ID_CRLF + ;
           "Zeile     : " + TRANSFORM(toError.LineNo) + ID_CRLF + ;
           "Meldung   : " + toError.Message

IF tnModus = 2
   * erweiterte Meldung
   lcRetVal = lcRetVal + ID_CRLF + ;
              "Prozedur  : " + toError.Procedure + ID_CRLF +;
              "StackLevel: " + TRANSFORM(toError.StackLevel) + ID_CRLF + ;
              "Details   : " + toError.Details
ENDIF

RETURN lcRetVal

