/****** Object:  StoredProcedure [dbo].[GetDefaultValues]    Script Date: 06/09/2008 20:25:19 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		Fritz Maurhofer
-- Create date: 02.11.2007
-- Description:	Ermittelt die Attribute einer Tabelle
--              mit Default-Werten
-- =============================================
CREATE PROCEDURE [dbo].[GetDefaultValues]
	-- Add the parameters for the stored procedure here
	@tcTableName VARCHAR(200)
WITH EXECUTE AS OWNER
AS
BEGIN 
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

	SELECT Table_name, Column_name, Column_default, IS_Nullable, Data_type
      FROM information_schema.columns 
      where table_name = @tcTableName AND column_default is not null
END



